# OpalH224Client Class Reference

`#include <h224handler.h>`

Inheritance diagram for OpalH224Client:

[legend]
Collaboration diagram for OpalH224Client:
[legend]

## Public Types

| CMEClientID = 0x00
| H281ClientID = 0x01
| ExtendedClientID = 0x7e
| NonStandardClientID = 0x7f
enum | { CMEClientID = 0x00, H281ClientID = 0x01, ExtendedClientID = 0x7e, NonStandardClientID = 0x7f }

## Public Member Functions

| OpalH224Client ()
| ~OpalH224Client ()
virtual BYTE | GetClientID () const =0
virtual BYTE | GetExtendedClientID () const
virtual BYTE | GetCountryCode () const
virtual BYTE | GetCountryCodeExtension () const
virtual WORD | GetManufacturerCode () const
virtual BYTE | GetManufacturerClientID () const
virtual PBoolean | HasExtraCapabilities () const
virtual void | OnReceivedExtraCapabilities (const BYTE *, PINDEX)
virtual void | OnReceivedMessage (const H224_Frame &)
virtual void | SendExtraCapabilities () const
virtual Comparison | Compare (const PObject &obj)
void | SetH224Handler (OpalH224Handler *handler)
void | SetRemoteClientAvailable (PBoolean remoteClientAvailable, PBoolean remoteClientHasExtraCapabilities)
PBoolean | GetRemoteClientAvailable () const
PBoolean | GetRemoteClientHasExtraCapabilities () const

## Protected Attributes

PBoolean | remoteClientAvailable
PBoolean | remoteClientHasExtraCapabilities
OpalH224Handler * | h224Handler

## Member Enumeration Documentation

anonymous enum

Enumerator:

  CMEClientID |
  H281ClientID |
  ExtendedClientID |
  NonStandardClientID |

## Constructor & Destructor Documentation

OpalH224Client::OpalH224Client | ( |  | ) |

OpalH224Client::~OpalH224Client | ( |  | ) |

## Member Function Documentation

virtual Comparison OpalH224Client::Compare | ( | const PObject & | obj | ) | `[virtual]`

virtual BYTE OpalH224Client::GetClientID | ( |  | ) | const`[pure virtual]`

Return the client ID if this is a standard client. Else, return either ExtendedClientId or NonStandardClientID

Implemented in OpalH281Handler.

virtual BYTE OpalH224Client::GetCountryCode | ( |  | ) | const`[inline, virtual]`

Return the T.35 country code octet for the non-standard client. Default returns CountryCodeEscape

virtual BYTE OpalH224Client::GetCountryCodeExtension | ( |  | ) | const`[inline, virtual]`

Return the T.35 extension code octet for the non-standard client. Default returns 0x00

virtual BYTE OpalH224Client::GetExtendedClientID | ( |  | ) | const`[inline, virtual]`

Return the extended client ID if given. The default returns 0x00

virtual BYTE OpalH224Client::GetManufacturerClientID | ( |  | ) | const`[inline, virtual]`

Return the Manufacturer Client ID for the non-standard client. Default returns 0x00;

virtual WORD OpalH224Client::GetManufacturerCode | ( |  | ) | const`[inline, virtual]`

Return the manufacturer code word for the non-standard client. Default returns 0x0000

PBoolean OpalH224Client::GetRemoteClientAvailable | ( |  | ) | const`[inline]`

PBoolean OpalH224Client::GetRemoteClientHasExtraCapabilities | ( |  | ) | const`[inline]`

virtual PBoolean OpalH224Client::HasExtraCapabilities | ( |  | ) | const`[inline, virtual]`

Return whether this client has extra capabilities. Default returns FALSE.

Reimplemented in OpalH281Handler.

virtual void OpalH224Client::OnReceivedExtraCapabilities | ( | const BYTE * | ,
|  | PINDEX |  |
| ) |  |  | `[inline, virtual]`

Called if the CME client received an Extra Capabilities PDU for this client. Default does nothing.

Reimplemented in OpalH281Handler.

virtual void OpalH224Client::OnReceivedMessage | ( | const H224_Frame & |  | ) | `[inline, virtual]`

Called if a PDU for this client was received. Default does nothing.

Reimplemented in OpalH281Handler.

virtual void OpalH224Client::SendExtraCapabilities | ( |  | ) | const`[inline, virtual]`

Called to indicate that the extra capabilities pdu should be sent. Default does nothing

Reimplemented in OpalH281Handler.

void OpalH224Client::SetH224Handler | ( | OpalH224Handler * | handler | ) | `[inline]`

Connection to the H.224 protocol handler

void OpalH224Client::SetRemoteClientAvailable | ( | PBoolean | remoteClientAvailable,
|  | PBoolean | remoteClientHasExtraCapabilities |
| ) |  |  |

Called by the H.224 handler to indicate if the remote party has such a client or not

## Field Documentation

OpalH224Handler* OpalH224Client::h224Handler `[protected]`

PBoolean OpalH224Client::remoteClientAvailable `[protected]`

PBoolean OpalH224Client::remoteClientHasExtraCapabilities `[protected]`

The documentation for this class was generated from the following file:

- h224handler.h